﻿package sqviewer 
{
	import flash.display.Stage;
	import flash.display.StageScaleMode;
	import flash.display.StageDisplayState;
	/**
	 * ...
	 * @author Kei Takahashi
	 * 
	 */
	public class Env
	{
		public static var W:int = 1024;
		public static var H:int = 768;
		public static var marginW:int = 12;
		public static var marginH:int = 9;
		public static var N:int = 3;
		public static var zoom:Number = 1.5;

		public static var zoomW:int = 0;
		public static var zoomH:int = 0;
		public static var normW:int = 0;
		public static var normH:int = 0;

		public static var frameRatio:Number = 0.02;

		public static var IDLE_MAX:int = 100;
		public static var SLIDESHOW_DURATION:int = 100;

		
		public static function setN(n:int):void {
			Env.N = Math.floor(Math.pow(n, 0.5));
		}
		
		public static function resize(stage:Stage):void {
			Env.W = stage.stageWidth;
			Env.H = stage.stageHeight;
			
			if (Env.W / 4 > Env.H / 3) {
				Env.W = int(Env.H / 3 * 4);
			} else {
				Env.H = int(Env.W / 4 * 3);
			}
			
			Env.normW = int((Env.W - Env.marginW * (Env.N + 1)) / Env.N);
			Env.normH = int((Env.H - Env.marginH * (Env.N + 1)) / Env.N);
			Env.zoomW = Env.normW * Env.zoom;
			Env.zoomH = Env.normH * Env.zoom;
		}
	}
}